package no.valg.valgnatt.backend.mandatberegning.beregning;

import lombok.Getter;

import java.math.BigDecimal;
import java.util.Map;

@Getter
public class DistriktsmandatResultat {
    private Map<String, Integer> antallPrParti;
    private Map<String, BigDecimal> sisteKvotientPrParti;
    private Map<String, Integer> lavesteMandatrangPrParti;
    private Map<String, BigDecimal> nesteKvotientPrParti;
    private Map<String, Integer> høyesteMandatrangPrParti;

    DistriktsmandatResultat(Map<String, Integer> antallPrParti, 
                            Map<String, BigDecimal> sisteKvotientPrParti, Map<String, Integer> lavesteMandatrangPrParti, 
                            Map<String, BigDecimal> nesteKvotientPrParti, Map<String, Integer> høyesteMandatrangPrParti) {
        this.antallPrParti = antallPrParti;
        this.sisteKvotientPrParti = sisteKvotientPrParti;
        this.lavesteMandatrangPrParti = lavesteMandatrangPrParti;
        this.nesteKvotientPrParti = nesteKvotientPrParti;
        this.høyesteMandatrangPrParti = høyesteMandatrangPrParti;
    }
}
