package no.valg.valgnatt.database.hibernate;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "tilstand")
@NoArgsConstructor //Hibernate-krav
@AllArgsConstructor //Builder-krav
@Builder
public class Tilstand implements java.io.Serializable {

    @Id
    @Column(name = "nokkel", unique = true, nullable = false)
    private String nokkel; // leser/oppdater data gjennom dette objektet - initialiserer det i V30000000_002__Baseline_Load

    @Getter
    @Setter
    @Column(name = "verdi")
    private String verdi;

}
